%define upstream_name    Test-Pretty
%define upstream_version 0.32

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Smile Precure!
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Prove)
BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(TAP::Formatter::Base)
BuildRequires: perl(TAP::Formatter::Session)
BuildRequires: perl(TAP::Harness)
BuildRequires: perl(TAP::Parser)
BuildRequires: perl(Term::ANSIColor) >= 3.20.0
BuildRequires: perl(Term::Encoding)
BuildRequires: perl(Test::Builder) >= 0.820.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(autodie)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Test::Pretty is a prettifier for Test::More.

When you are writing a test case such as following:

    use strict;
    use warnings;
    use utf8;
    use Test::More;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.320.0-3.mga6
+ Revision: 1034570
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.320.0-2.mga6
+ Revision: 970035
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.320.0-1.mga6
+ Revision: 884842
- update to 0.32

* Sat Jul 04 2015 sander85 <sander85> 0.310.0-1.mga6
+ Revision: 850009
- update to 0.31

* Sun Oct 19 2014 umeabot <umeabot> 0.290.0-4.mga5
+ Revision: 789335
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.290.0-3.mga5
+ Revision: 748495
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.290.0-2.mga5
+ Revision: 686521
- Mageia 5 Mass Rebuild

* Thu Aug 28 2014 sander85 <sander85> 0.290.0-1.mga5
+ Revision: 669072
- update to 0.29

* Mon Mar 03 2014 jquelin <jquelin> 0.280.0-1.mga5
+ Revision: 598732
- update to 0.28

* Sat Oct 19 2013 umeabot <umeabot> 0.270.0-2.mga4
+ Revision: 530593
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 sander85 <sander85> 0.270.0-1.mga4
+ Revision: 458359
- update to 0.27

* Sat Jun 01 2013 takashi <takashi> 0.250.0-2.mga4
+ Revision: 433963
- Change README to README.md
- Upload to 0.25

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 373713
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.220.0-1.mga3
+ Revision: 342706
- update to 0.22
- update to 0.15

* Wed Nov 07 2012 jquelin <jquelin> 0.100.0-1.mga3
+ Revision: 315878
- update to 0.10

* Tue Oct 23 2012 jquelin <jquelin> 0.50.0-1.mga3
+ Revision: 309443
- adding missing buildrequires:
- imported package perl-Test-Pretty


* Tue Oct 23 2012 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
